<?xml version="1.0"?>

<!-- ====================================================================== -->
<!-- = xref.xsl                                                           = -->
<!-- = afnix documentation xslt with xhtml output : cross references      = -->
<!-- ====================================================================== -->
<!-- = This  program  is  free  software; you  can redistribute it and/or = -->
<!-- = modify it provided that this copyright notice is kept intact.      = -->
<!-- = This program is distributed in the hope that it will be useful but = -->
<!-- = without  any  warranty;  without  even  the  implied  warranty  of = -->
<!-- = merchantability or fitness for  a  particular purpose. In no event = -->
<!-- = shall  the  copyright  holder be liable for any  direct, indirect, = -->
<!-- = incidental  or special  damages arising  in any way out of the use = -->
<!-- = of this software.                                                  = -->
<!-- ====================================================================== -->
<!-- = copyright (c) 2005-2005 - amaury darsch                            = -->
<!-- ====================================================================== -->

<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.w3.org/1999/xhtml">

 <!-- body with cross references template -->
 <xsl:template name="body.xref">
  <table>
   <colgroup>
     <col width="25%"/>
     <col width="75%"/>
   </colgroup>
   <tbody>
    <tr valign="top">
     <td>
       <xsl:for-each select="//title|//name">
         <xsl:call-template name="xref.toc"/>  
       </xsl:for-each>
     </td>
     <td>
       <!-- create the main document -->
       <xsl:apply-templates/>
     </td>
    </tr>
   </tbody>
  </table>
 </xsl:template>

 <!-- xref.toc template-->
 <xsl:template name="xref.toc">
  <xsl:choose>
   <xsl:when test="local-name(..)='chapter'">
     <p/>
     <hr/>
     <div class="chapter">
       <a class="chapter" href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </div>
     <hr/>
   </xsl:when>
   <xsl:when test="local-name(..)='appendix'">
     <p/>
     <hr/>
     <div class="appendix">
       <a class="appendix" href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </div>
     <hr/>
   </xsl:when>
   <xsl:when test="local-name(..)='section'">
     <h1 class="xref">
       <xsl:text>&#9724; </xsl:text>
       <a href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </h1>
   </xsl:when>
   <xsl:when test="local-name(..)='keyword'">
     <h1 class="xref">
       <xsl:text>&#9724; </xsl:text>
       <a href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </h1>
   </xsl:when>
   <xsl:when test="local-name(..)='object'">
     <h1 class="xref">
       <xsl:text>&#9724; </xsl:text>
       <a href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </h1>
   </xsl:when>
   <xsl:when test="local-name(..)='control'">
     <h1 class="xref">
       <xsl:text>&#9724; </xsl:text>
       <a href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </h1>
   </xsl:when>
   <xsl:when test="local-name(..)='client'">
     <p/>
     <hr/>
     <div class="elem">
       <a class="client" href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </div>
     <hr/>
   </xsl:when>
   <xsl:when test="local-name(..)='remark'">
     <h1 class="xref">
       <xsl:text>&#9724; </xsl:text>
       <a href="#{generate-id(..)}">
         <xsl:value-of select="."/>
       </a>
     </h1>
   </xsl:when>
  </xsl:choose>
 </xsl:template>

</xsl:stylesheet>

