# ---------------------------------------------------------------------------
# - t_8002.als                                                              -
# - afnix:sps library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   table test module
# @author amaury darsch

# ethernix-library
interp:library "afnix-sps"

# create a new table
const  sht  (afnix:sps:Sheet)
assert true (afnix:sps:sheet-p sht)

# set and check name
sht:set-name    "sheet"
assert "sheet"  (sht:get-name)

# add some info and check
sht:add-info "info" 2000 0.0 't' true
trans  cell   (sht:get-info 0)
assert "info" (cell:get)
assert "info" (sht:map-info 0)
trans  cell   (sht:get-info 1)
assert 2000   (cell:get)
assert 2000   (sht:map-info 1)
trans  cell   (sht:get-info 2)
assert 0.0    (cell:get)
assert 0.0    (sht:map-info 2)
trans  cell   (sht:get-info 3)
assert 't'    (cell:get)
assert 't'    (sht:map-info 3)
trans  cell   (sht:get-info 4)
assert true   (cell:get)
assert true   (sht:map-info 4)

# add in the sheet header and check
sht:add-header "info" 2000
trans  cell   (sht:get-header 0)
assert "info" (cell:get)
assert "info" (sht:map-header 0)
trans  cell   (sht:get-header 1)
assert 2000   (cell:get)
assert 2000   (sht:map-header 1)

# add in the sheet footer and check
sht:add-footer 2000 "info"
trans  cell   (sht:get-footer 0)
assert 2000   (cell:get)
assert 2000   (sht:map-footer 0)
trans  cell   (sht:get-footer 1)
assert "info" (cell:get)
assert "info" (sht:map-footer 1)

# add data to the sheet
sht:add-data  "hello" "world"
assert 1 (sht:length)
sht:add-data  2000 2001
assert 2 (sht:length)
