# ---------------------------------------------------------------------------
# - t_5506.als                                                              -
# - afnix:txt library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   transliteration test module
# @author amaury darsch

# get the library
interp:library "afnix-txt"

# create a literate element
const  tl   (afnix:txt:Literate)
assert true (afnix:txt:literate-p tl)

# check for default translation
assert "hello" (tl:translate "hello")

# set a strange mapping
tl:set-map 'h' 'w'
tl:set-map 'e' 'o'
tl:set-map 'l' 'r'
tl:set-map 'o' 'd'

# check for translation
assert "worrd" (tl:translate "hello")

# check the mapping
assert (tl:get-map 'h') 'w'
assert (tl:get-map 'e') 'o'
assert (tl:get-map 'l') 'r'
assert (tl:get-map 'o') 'd'


# reset the mapping and check again
tl:reset
assert (tl:get-map 'h') 'h'
assert (tl:get-map 'e') 'e'
assert (tl:get-map 'l') 'l'
assert (tl:get-map 'o') 'o'

# set the escape character
tl:set-escape '\\'
assert (tl:get-escape) '\\'

# set the escape map for tabulation
tl:set-escape-map 't' '\t'
assert (tl:get-escape-map 't') '\t'

# check for transliteration
assert (tl:translate "hello \\t world") "hello \t world"
