# ---------------------------------------------------------------------------
# - t_7500.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www url test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# check for a simple url
trans  url (afnix:www:Url "http://www.afnix.org")
assert "http" (url:get-scheme)
assert "www.afnix.org" (url:get-host)
assert 80      (url:get-port)
assert "/"     (url:get-path)
assert ""      (url:get-query)
assert ""      (url:get-fragment)

# check for a complete url
trans url (afnix:www:Url "http://a.b.org:2005/example?val=hello+world#good")
assert "http"            (url:get-scheme)
assert "a.b.org"         (url:get-host)
assert 2005              (url:get-port)
assert "/example"        (url:get-path)
assert "val=hello+world" (url:get-query)
assert "good"            (url:get-fragment)
