# ---------------------------------------------------------------------------
# - t_7505.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www html table test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# ---------------------------------------------------------------------------
# - html table data test section                                            -
# ---------------------------------------------------------------------------

# check for a default data
trans  td       (afnix:www:HtmlTd)
assert true     (afnix:www:html-td-p td)
assert "&nbsp;" (td:get-data)

# set the data and check
td:set-data     "hello"
assert "hello"  (td:get-data)

# ---------------------------------------------------------------------------
# - html table row test section                                             -
# ---------------------------------------------------------------------------

# check for a default row
trans  tr       (afnix:www:HtmlTr)
assert true     (afnix:www:html-tr-p tr)
assert 0        (tr:length)

# add the table data
tr:add-data td
assert 1   (tr:length)

# ---------------------------------------------------------------------------
# - html table test section                                                 -
# ---------------------------------------------------------------------------

# check for a default table
trans  tbl      (afnix:www:HtmlTable)
assert true     (afnix:www:html-table-p tbl)
assert 0        (tbl:head-length)
assert 0        (tbl:body-length)
assert 0        (tbl:foot-length)

# set and get the caption
tbl:set-caption "hello"
assert "hello" (tbl:get-caption)

# add the table row
tbl:add-body tr
assert 1 (tbl:body-length)
